Bug Hunting Session
Bug 51284 - [FORMATTING] "Space before paragraph" (fo:margin-top) ignored for first paragraph of text in a text box or shape.
Summary: [FORMATTING] "Space before paragraph" (fo:margin-top) ignored for first parag...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox Paragraph Shapes
  Show dependency treegraph
 
Reported: 2012-06-21 01:20 UTC by Brennan Vincent
Modified: 2017-06-25 11:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File displaying the bug (11.75 KB, application/vnd.oasis.opendocument.text)
2012-06-21 01:20 UTC, Brennan Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-06-21 01:20:27 UTC
Created attachment 63286 [details]
File displaying the bug

Text written on the page normally does not suffer from this problem; text in a drawing text object or in a drawing shape does. See the attached document for an example.
Comment 1 bfoman (inactive) 2012-07-05 02:25:10 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Spacing of paragraph ignored when in drawing shape.
Comment 2 Roman Eisele 2012-11-27 10:41:44 UTC
(In reply to comment #1)
> Confirmed with:
> LO 3.5.4.2 

... so we can set the status of this bug report to NEW.

Already reproducible with LibreOffice 3.3.0 (tested on Mac OS X 10.6.8 (Intel)), very probably inherited from OOo.

The only question is: is this a bug, or is this a feature, i.e. intended behaviour? ;-)
Comment 3 QA Administrators 2015-01-05 17:51:28 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 14:21:33 UTC
Could repro also from scratch.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:30 UTC Comment hidden (obsolete)
Comment 6 Aron Budea 2016-05-13 20:31:14 UTC
Still reproducible in LO 5.1.3.2, Windows 7.
Comment 7 QA Administrators 2017-05-22 13:40:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522